# The MEME Suite

## Motif-based sequence analysis tools

## fasta-get-markov

### Usage:

`fasta-get-markov [options] [sequence file] [background file]`

### Description

The program fasta-get-markov estimates a Markov model from a FASTA file of sequences. It ignores (removes) ambiguous characters before computing the model. The model is based on both strands when using a complementable alphabet unless you specify -norc.

### Input

Sequences in FASTA format from standard input or optionally specified as a file.

### Output

Writes a Markov background model to standard output or optionally to a file.

### Options

Option | Parameter | Description | Default Behaviour
--- | --- | --- | ---
General Options
-m | n | Use a Markov model of n-order. | A 0-order Markov model is used.
-alph | alphabet file | Use the specified custom alphabet. | Autodetect DNA or protein alphabet.
-dna |  | Use DNA alphabet. | Autodetect DNA, protein or RNA alphabet.
-protein |  | Use protein alphabet. | Autodetect DNA, protein or RNA alphabet.
-rna |  | Use RNA alphabet. | Autodetect DNA, protein or RNA alphabet.
-full |  | Use full list of seen symbols as the alphabet. | Autodetect DNA or protein alphabet.
-counts |  | Output counts instead of probabilities and skip writing entries with no counts. Options -norc and -pseudo are ignored. | Output probabilities as normal.
-norc |  | Do not combine forward and reverse complement frequencies for complementable alphabets. |
-pseudo | count | Pseudocount added to avoid probabilities of zero. | Adds a pseudocount of 0.1.
-nostatus |  | Do not display progress messages to standard error. | Displays a progress message every half a second.
-nosummary |  | Do not display a summary report after completion even when a output background file is specified. | Display a summary report to standard output after the program has finished when a output background file has been specified.
-help |  | Print a help message and exit. | Runs as normal.